Sign in

By Person (todos os vínculos da pessoa)

GET https://{organization}.myguper.com/api/register/team/member/by/person/{id}

Retorna o histórico completo de vínculos de uma pessoa — ativos (endedAt IS NULL) e encerrados — em ordem de cadastro.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
id * integer ID interno da pessoa (`person.id`).

Responses

[
    { "id": 4, "personId": 99, "positionId": 11, "reportsTo": null, "startedAt": "2025-01-10", "endedAt": "2026-04-24", "data": null },
    { "id": 7, "personId": 99, "positionId": 12, "reportsTo": 5,    "startedAt": "2026-04-24", "endedAt": null,         "data": null }
]
Copied to clipboard